Insert multiple rows into a table
curl --request POST \
--url https://api.databar.ai/v1/table/{table_uuid}/rows \
--header 'Content-Type: application/json' \
--header 'x-apikey: <x-apikey>' \
--data '
{
"options": {
"allow_new_columns": true,
"dedupe": {
"enabled": true,
"keys": [
"column1",
"column2",
"column3"
]
}
},
"return_rows": false,
"rows": [
{
"fields": {
"email": "alice@example.com",
"first_name": "Alice",
"title": "PM"
}
},
{
"fields": {
"email": "bob@example.com",
"first_name": "Bob"
}
}
]
}
'import requests
url = "https://api.databar.ai/v1/table/{table_uuid}/rows"
payload = {
"options": {
"allow_new_columns": True,
"dedupe": {
"enabled": True,
"keys": ["column1", "column2", "column3"]
}
},
"return_rows": False,
"rows": [{ "fields": {
"email": "alice@example.com",
"first_name": "Alice",
"title": "PM"
} }, { "fields": {
"email": "bob@example.com",
"first_name": "Bob"
} }]
}
headers = {
"x-apikey": "<x-apikey>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-apikey': '<x-apikey>', 'Content-Type': 'application/json'},
body: JSON.stringify({
options: {
allow_new_columns: true,
dedupe: {enabled: true, keys: ['column1', 'column2', 'column3']}
},
return_rows: false,
rows: [
{fields: {email: 'alice@example.com', first_name: 'Alice', title: 'PM'}},
{fields: {email: 'bob@example.com', first_name: 'Bob'}}
]
})
};
fetch('https://api.databar.ai/v1/table/{table_uuid}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"action": "created",
"id": "a1b2c3d4-0000-0000-0000-000000000001",
"index": 0
},
{
"action": "created",
"id": "a1b2c3d4-0000-0000-0000-000000000002",
"index": 1
}
]
}{
"error": "<string>",
"max_size": 123,
"columns": [
"<string>"
],
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Rows
Add rows to table
Add rows to a table in batch. Uses human-readable column names.
options.allow_new_columns — when true, any column name in fields that doesn’t exist yet will be auto-created as a text column.
options.dedupe — when enabled: true, rows whose keys columns match an existing row are skipped (action: skipped_duplicate) instead of inserted.
POST
/
v1
/
table
/
{table_uuid}
/
rows
Insert multiple rows into a table
Headers
API Key for authentication
Path Parameters
The UUID of the table
Body
application/json
List of rows to insert (max 50).
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Insert options (auto-create columns, deduplication).
Show child attributes
Show child attributes
If true, each result includes full row_data after insert.
Response
Successful Response
Show child attributes
Show child attributes
⌘I